%{!?scl:%global scl publican28}
%scl_package %scl

Summary: Package that installs %scl
Name: %scl_name
Version: 1
Release: 1%{?dist}
#%if %{RHEL6}
#ExclusiveArch:   i686 x86_64
#%else
BuildArch:      noarch
#%endif
License:   (GPLv2+ or Artistic) and CC0
Requires: %{scl_prefix}publican
BuildRequires: scl-utils-build

%description
This is the main package for %scl Software Collection.

%package runtime
Summary: Package that handles %scl Software Collection.
Requires: scl-utils

%description runtime
Package shipping essential scripts to work with %scl Software Collection.

%package build
Summary: Package shipping basic build configuration

%description build
Package shipping essential configuration macros to build %scl Software Collection.

#%prep
#%setup -c -T

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_scl_scripts}/root
cat > %{buildroot}/%{_scl_scripts}/enable <<\EOF
export PATH=%{_bindir}${PATH:+:${PATH}}
export MANPATH=%{_mandir}:$MANPATH
export PERL5LIB=%{_scl_root}/%{perl_vendorarch}:%{_scl_root}/usr/lib/perl5:%{_scl_root}/%{perl_vendorlib}${PERL5LIB:+:${PERL5LIB}}
EOF
#cat >> %{buildroot}%{_scl_scripts}/enable << EOF
#export PATH=%{_bindir}:\$PATH
#export LD_LIBRARY_PATH=%{_libdir}:\$LD_LIBRARY_PATH
#export MANPATH=%{_mandir}:\$MANPATH
#EOF
%scl_install
find %{buildroot}%{_scl_root} -type d | xargs chmod 755
mkdir -p %{buildroot}%{_sysconfdir}/alternatives
mkdir -p %{buildroot}%{_scl_root}/var/lib/alternatives
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_prefix}/lib
mkdir -p %{buildroot}%{_prefix}/lib64
mkdir -p %{buildroot}%{_libexecdir}
mkdir -p %{buildroot}%{_mandir}
mkdir -p %{buildroot}%{_infodir}
mkdir -p %{buildroot}%{_includedir}
mkdir -p %{buildroot}%{_datadir}/locale
mkdir -p %{buildroot}%{_docdir}

%files

%files runtime
%scl_files
%defattr(-,root,root,-)
# FIXME: Find out whether this hack is really needed to build noarch:
%{?scl:%_scl_root}/lib64

%files build
%{_root_sysconfdir}/rpm/macros.%{scl}-config

%changelog
* Sun Jan 20 2013 Petr Kovar <pkovar@redhat.com> 1-1
- Initial SCL meta package
